%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		sked

Name: vdr-%pname
Version: 0.0.3
Release: alt2

Summary: Keylist editor for VDR
Summary(ru_RU.UTF-8): Редактор ключей для VDR
License: GPL
Group: Video
URL: http://vdr.bluox.org/download/
Source0: %name-%version.tar.gz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
A keylist editor for VDR

%description -l ru_RU.UTF-8
Редактор списка ключей для VDR

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3-alt2
- vdr-1.3.15

* Fri Oct 22 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3-alt1
- Initial build
